[32M[2019-05-11(1)

NAME
[32m[2019-05-11 - manual page for [32m[2019-05-11 22:22:42][INFO]argc=2 [0m[32m./udp2raw [0m[32m--version [0m[32m

DESCRIPTION
udp2raw-tunnel git version:0137dba1fd build date:May 11 2019 22:20:49 repository: https://github.com/wangyu-/udp2raw-tunnel

  usage:

run as client : ./this_program -c -l local_listen_ip:local_port -r server_address:server_port
    [options]

run as server : ./this_program -s -l server_listen_ip:server_port -r remote_address:remote_port
    [options]

  common options,these options must be same on both side:

--raw-mode
    <string> avaliable values:faketcp(default),udp,icmp

-k,--key
    <string> password to gen symetric key,default:"secret key"

--cipher-mode
    <string> avaliable values:aes128cfb,aes128cbc(default),xor,none

--auth-mode
    <string> avaliable values:hmac_sha1,md5(default),crc32,simple,none

-a,--auto-rule
    auto add (and delete) iptables rule

-g,--gen-rule
    generate iptables rule then exit,so that you can copy and add it manually.overrides -a

--disable-anti-replay
    disable anti-replay,not suggested

  client options:

--source-ip
    <ip> force source-ip for raw socket

--source-port
    <port> force source-port for raw socket,tcp/udp only this option disables port changing while re-connecting

  other options:

--conf-file
    <string> read options from a configuration file instead of command line. check example.conf in repo for format

--fifo
    <string> use a fifo(named pipe) for sending commands to the running program, check readme.md in repository for supported commands.

--log-level
    <number> 0:never 1:fatal 2:error 3:warn 4:info (default) 5:debug 6:trace

--log-position
    enable file name,function name,line number in log

--disable-color
    disable log color

--disable-bpf
    disable the kernel space filter,most time its not necessary unless you suspect there is a bug

--dev
    <string> bind raw socket to a device, not necessary but improves performance

--sock-buf
    <number> buf size for socket,>=10 and <=10240,unit:kbyte,default:1024

--force-sock-buf
    bypass system limitation while setting sock-buf

--seq-mode
    <number> seq increase mode for faketcp: 0:static header,do not increase seq and ack_seq 1:increase seq for every packet,simply ack last seq 2:increase seq randomly, about every 3 packets,simply ack last seq 3:simulate an almost real seq/ack procedure(default) 4:similiar to 3,but do not consider TCP Option Window_Scale, maybe useful when firewall doesnt support TCP Option

--lower-level
    <string> send packets at OSI level 2, format:'if_name#dest_mac_adress' ie:'eth0#00:23:45:67:89:b9'.or try '--lower-level auto' to obtain the parameter automatically,specify it manually if 'auto' failed

--wait-lock
    wait for xtables lock while invoking iptables, need iptables v1.4.20+

--gen-add
    generate iptables rule and add it permanently,then exit.overrides -g

--keep-rule
    monitor iptables and auto re-add if necessary.implys -a

--hb-len
    <number> length of heart-beat packet, >=0 and <=1500

--mtu-warn
    <number> mtu warning threshold, unit:byte, default:1375

--clear
    clear any iptables rules added by this program.overrides everything

--retry-on-error
    retry on error, allow to start udp2raw before network is initialized

-h,--help
    print this help message

[0m

[0m[31m[2019-05-11 22:22:42][FATAL]invaild option --version [0m[0m

SEE ALSO
The full documentation for [32m[2019-05-11 is maintained as a Texinfo manual. If the info and [32m[2019-05-11 programs are properly installed at your site, the command

    info [32m[2019-05-11

should give you access to the complete manual.